'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line no-unused-vars

var friendLinksHtml = function friendLinksHtml(links) {
  return links.map(function (item, index) {
    return _react2.default.createElement(
      'li',
      { key: index },
      _react2.default.createElement(
        'a',
        { href: item.link, target: '_blank', title: item.title },
        item.title
      )
    );
  });
};

var FriendlyLink = function (_React$Component) {
  (0, _inherits3.default)(FriendlyLink, _React$Component);

  function FriendlyLink() {
    (0, _classCallCheck3.default)(this, FriendlyLink);
    return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(FriendlyLink).apply(this, arguments));
  }

  (0, _createClass3.default)(FriendlyLink, [{
    key: 'render',
    value: function render() {
      if (this.props.iShow && this.props.links.length) {
        return _react2.default.createElement(
          'section',
          { className: 'friendly-link' },
          _react2.default.createElement(
            'h3',
            null,
            '友情链接'
          ),
          _react2.default.createElement(
            'ul',
            null,
            friendLinksHtml(this.props.links)
          )
        );
      }
      return null;
    }
  }]);
  return FriendlyLink;
}(_react2.default.Component);

exports.default = FriendlyLink;